Index: bin/autoreconf.in
===================================================================
--- bin/autoreconf.in.orig
+++ bin/autoreconf.in
@@ -109,10 +109,10 @@ Written by David J. MacKenzie and Akim D
 my $autoconf   = $ENV{'AUTOCONF'}   || '@bindir@/@autoconf-name@';
 my $autoheader = $ENV{'AUTOHEADER'} || '@bindir@/@autoheader-name@';
 my $autom4te   = $ENV{'AUTOM4TE'}   || '@bindir@/@autom4te-name@';
-my $automake   = $ENV{'AUTOMAKE'}   || 'automake';
-my $aclocal    = $ENV{'ACLOCAL'}    || 'aclocal';
-my $libtoolize = $ENV{'LIBTOOLIZE'} || 'libtoolize';
-my $autopoint  = $ENV{'AUTOPOINT'}  || 'autopoint';
+my $automake   = $ENV{'AUTOMAKE'}   || '@bindir@/automake';
+my $aclocal    = $ENV{'ACLOCAL'}    || '@bindir@/aclocal';
+my $libtoolize = $ENV{'LIBTOOLIZE'} || '@bindir@/glibtoolize';
+my $autopoint  = $ENV{'AUTOPOINT'}  || '@bindir@/autopoint';
 my $make       = $ENV{'MAKE'}       || 'make';
 
 # --install -- as --add-missing in other tools.
Index: man/autoreconf.1
===================================================================
--- man/autoreconf.1.orig
+++ man/autoreconf.1
@@ -7,7 +7,7 @@ autoreconf \- Update generated configura
 [\fIOPTION\fR]... [\fIDIRECTORY\fR]...
 .SH DESCRIPTION
 Run `autoconf' (and `autoheader', `aclocal', `automake', `autopoint'
-(formerly `gettextize'), and `libtoolize' where appropriate)
+(formerly `gettextize'), and `glibtoolize' where appropriate)
 repeatedly to remake the GNU Build System files in specified
 DIRECTORIES and their subdirectories (defaulting to `.').
 .PP
@@ -118,7 +118,7 @@ There is NO WARRANTY, to the extent perm
 .BR config.guess (1),
 .BR config.sub (1),
 .BR ifnames (1),
-.BR libtool (1).
+.BR glibtool (1).
 .PP
 The full documentation for
 .B autoreconf
Index: tests/foreign.at
===================================================================
--- tests/foreign.at.orig
+++ tests/foreign.at
@@ -25,12 +25,12 @@ AT_BANNER([Compatibility with other tool
 AT_SETUP([Libtool])
 
 # Skip this test if there is no libtoolize.
-AT_CHECK([libtoolize --version || exit 77],
+AT_CHECK([glibtoolize --version || exit 77],
 	 [ignore], [ignore], [ignore])
 # Modern Libtool has further tests for compatibility with older autoconf;
 # from the Autoconf side, we will merely assume newer libtool.
 AT_CHECK([[
-case `libtoolize --version |
+case `glibtoolize --version |
       sed -n '/^.* \([0-9][0-9.a-z]*\)$/{
 		s//\1/
 		p
@@ -49,7 +49,7 @@ AT_DATA([configure.ac],
 AC_CONFIG_AUX_DIR([.])
 AC_PROG_LIBTOOL
 ]])
-AT_CHECK([libtoolize -i], [0], [stdout], [ignore])
+AT_CHECK([glibtoolize -i], [0], [stdout], [ignore])
 
 # Some broken libtoolize fail to install a functional config.guess.
 AT_CHECK([./config.guess || exit 77], [], [ignore], [ignore])
